콘텐츠로 건너뛰기
ShopentlyLearn

사용 가능한 단위 교체

순서를 바꾸지 않고 코드나 파일을 교체하세요. 변경 사항은 창고 이력에 남습니다.

POST/api/v1/inventory/products/{product_id}/digital-units/{unit_id}/replacement

cURL 요청

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request POST \
  --url https://shop.onshopently.com/api/v1/inventory/products/example/digital-units/00000000-0000-4000-8000-000000000003/replacement \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN' \
  --header 'Idempotency-Key: b8d3ed25-9cdc-581d-9008-5d215c7cd1c3' \
  --header 'Content-Type: application/json' \
  --data-raw '{"code":"SYNTHETIC-REPLACEMENT","expected_version":1,"reason":"Replace an invalid activation code"}'

응답

{
  "data": {
    "deleted": false,
    "id": "00000000-0000-4000-8000-000000000003",
    "version": 2
  },
  "meta": {
    "request_id": "example-request"
  }
}

필수 권한

최소 요금제
STANDARD
키 권한
사용 가능한 코드 및 파일 관리inventory.digital_unit:write